next release will be 1.3.3
[ppastats.git] / tests / Makefile.in
1 # Makefile.in generated by automake 1.14.1 from Makefile.am.
2 # @configure_input@
3
4 # Copyright (C) 1994-2013 Free Software Foundation, Inc.
5
6 # This Makefile.in is free software; the Free Software Foundation
7 # gives unlimited permission to copy and/or distribute it,
8 # with or without modifications, as long as this notice is preserved.
9
10 # This program is distributed in the hope that it will be useful,
11 # but WITHOUT ANY WARRANTY, to the extent permitted by law; without
12 # even the implied warranty of MERCHANTABILITY or FITNESS FOR A
13 # PARTICULAR PURPOSE.
14
15 @SET_MAKE@
16 VPATH = @srcdir@
17 am__is_gnu_make = test -n '$(MAKEFILE_LIST)' && test -n '$(MAKELEVEL)'
18 am__make_running_with_option = \
19   case $${target_option-} in \
20       ?) ;; \
21       *) echo "am__make_running_with_option: internal error: invalid" \
22               "target option '$${target_option-}' specified" >&2; \
23          exit 1;; \
24   esac; \
25   has_opt=no; \
26   sane_makeflags=$$MAKEFLAGS; \
27   if $(am__is_gnu_make); then \
28     sane_makeflags=$$MFLAGS; \
29   else \
30     case $$MAKEFLAGS in \
31       *\\[\ \   ]*) \
32         bs=\\; \
33         sane_makeflags=`printf '%s\n' "$$MAKEFLAGS" \
34           | sed "s/$$bs$$bs[$$bs $$bs   ]*//g"`;; \
35     esac; \
36   fi; \
37   skip_next=no; \
38   strip_trailopt () \
39   { \
40     flg=`printf '%s\n' "$$flg" | sed "s/$$1.*$$//"`; \
41   }; \
42   for flg in $$sane_makeflags; do \
43     test $$skip_next = yes && { skip_next=no; continue; }; \
44     case $$flg in \
45       *=*|--*) continue;; \
46         -*I) strip_trailopt 'I'; skip_next=yes;; \
47       -*I?*) strip_trailopt 'I';; \
48         -*O) strip_trailopt 'O'; skip_next=yes;; \
49       -*O?*) strip_trailopt 'O';; \
50         -*l) strip_trailopt 'l'; skip_next=yes;; \
51       -*l?*) strip_trailopt 'l';; \
52       -[dEDm]) skip_next=yes;; \
53       -[JT]) skip_next=yes;; \
54     esac; \
55     case $$flg in \
56       *$$target_option*) has_opt=yes; break;; \
57     esac; \
58   done; \
59   test $$has_opt = yes
60 am__make_dryrun = (target_option=n; $(am__make_running_with_option))
61 am__make_keepgoing = (target_option=k; $(am__make_running_with_option))
62 pkgdatadir = $(datadir)/@PACKAGE@
63 pkgincludedir = $(includedir)/@PACKAGE@
64 pkglibdir = $(libdir)/@PACKAGE@
65 pkglibexecdir = $(libexecdir)/@PACKAGE@
66 am__cd = CDPATH="$${ZSH_VERSION+.}$(PATH_SEPARATOR)" && cd
67 install_sh_DATA = $(install_sh) -c -m 644
68 install_sh_PROGRAM = $(install_sh) -c
69 install_sh_SCRIPT = $(install_sh) -c
70 INSTALL_HEADER = $(INSTALL_DATA)
71 transform = $(program_transform_name)
72 NORMAL_INSTALL = :
73 PRE_INSTALL = :
74 POST_INSTALL = :
75 NORMAL_UNINSTALL = :
76 PRE_UNINSTALL = :
77 POST_UNINSTALL = :
78 build_triplet = @build@
79 host_triplet = @host@
80 TESTS = test-strrep$(EXEEXT) test-ptime$(EXEEXT) $(am__append_1)
81 check_PROGRAMS = test-strrep$(EXEEXT) test-ptime$(EXEEXT)
82 @CPPCHECK_TRUE@am__append_1 = test-cppcheck.sh
83 subdir = tests
84 DIST_COMMON = $(srcdir)/Makefile.in $(srcdir)/Makefile.am \
85         $(top_srcdir)/depcomp $(top_srcdir)/test-driver
86 ACLOCAL_M4 = $(top_srcdir)/aclocal.m4
87 am__aclocal_m4_deps = $(top_srcdir)/m4/gettext.m4 \
88         $(top_srcdir)/m4/iconv.m4 $(top_srcdir)/m4/intlmacosx.m4 \
89         $(top_srcdir)/m4/lib-ld.m4 $(top_srcdir)/m4/lib-link.m4 \
90         $(top_srcdir)/m4/lib-prefix.m4 $(top_srcdir)/m4/nls.m4 \
91         $(top_srcdir)/m4/po.m4 $(top_srcdir)/m4/progtest.m4 \
92         $(top_srcdir)/configure.ac
93 am__configure_deps = $(am__aclocal_m4_deps) $(CONFIGURE_DEPENDENCIES) \
94         $(ACLOCAL_M4)
95 mkinstalldirs = $(install_sh) -d
96 CONFIG_HEADER = $(top_builddir)/config.h
97 CONFIG_CLEAN_FILES =
98 CONFIG_CLEAN_VPATH_FILES =
99 am_test_ptime_OBJECTS = test_ptime-test_ptime.$(OBJEXT) \
100         test_ptime-ptime.$(OBJEXT)
101 test_ptime_OBJECTS = $(am_test_ptime_OBJECTS)
102 test_ptime_LDADD = $(LDADD)
103 test_ptime_LINK = $(CCLD) $(test_ptime_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) \
104         $(LDFLAGS) -o $@
105 am_test_strrep_OBJECTS = test_strrep-test_strrep.$(OBJEXT) \
106         test_strrep-pstr.$(OBJEXT)
107 test_strrep_OBJECTS = $(am_test_strrep_OBJECTS)
108 test_strrep_LDADD = $(LDADD)
109 test_strrep_LINK = $(CCLD) $(test_strrep_CFLAGS) $(CFLAGS) \
110         $(AM_LDFLAGS) $(LDFLAGS) -o $@
111 AM_V_P = $(am__v_P_@AM_V@)
112 am__v_P_ = $(am__v_P_@AM_DEFAULT_V@)
113 am__v_P_0 = false
114 am__v_P_1 = :
115 AM_V_GEN = $(am__v_GEN_@AM_V@)
116 am__v_GEN_ = $(am__v_GEN_@AM_DEFAULT_V@)
117 am__v_GEN_0 = @echo "  GEN     " $@;
118 am__v_GEN_1 = 
119 AM_V_at = $(am__v_at_@AM_V@)
120 am__v_at_ = $(am__v_at_@AM_DEFAULT_V@)
121 am__v_at_0 = @
122 am__v_at_1 = 
123 DEFAULT_INCLUDES = -I.@am__isrc@ -I$(top_builddir)
124 depcomp = $(SHELL) $(top_srcdir)/depcomp
125 am__depfiles_maybe = depfiles
126 am__mv = mv -f
127 AM_V_lt = $(am__v_lt_@AM_V@)
128 am__v_lt_ = $(am__v_lt_@AM_DEFAULT_V@)
129 am__v_lt_0 = --silent
130 am__v_lt_1 = 
131 COMPILE = $(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) \
132         $(CPPFLAGS) $(AM_CFLAGS) $(CFLAGS)
133 AM_V_CC = $(am__v_CC_@AM_V@)
134 am__v_CC_ = $(am__v_CC_@AM_DEFAULT_V@)
135 am__v_CC_0 = @echo "  CC      " $@;
136 am__v_CC_1 = 
137 CCLD = $(CC)
138 LINK = $(CCLD) $(AM_CFLAGS) $(CFLAGS) $(AM_LDFLAGS) $(LDFLAGS) -o $@
139 AM_V_CCLD = $(am__v_CCLD_@AM_V@)
140 am__v_CCLD_ = $(am__v_CCLD_@AM_DEFAULT_V@)
141 am__v_CCLD_0 = @echo "  CCLD    " $@;
142 am__v_CCLD_1 = 
143 SOURCES = $(test_ptime_SOURCES) $(test_strrep_SOURCES)
144 DIST_SOURCES = $(test_ptime_SOURCES) $(test_strrep_SOURCES)
145 am__can_run_installinfo = \
146   case $$AM_UPDATE_INFO_DIR in \
147     n|no|NO) false;; \
148     *) (install-info --version) >/dev/null 2>&1;; \
149   esac
150 am__tagged_files = $(HEADERS) $(SOURCES) $(TAGS_FILES) $(LISP)
151 # Read a list of newline-separated strings from the standard input,
152 # and print each of them once, without duplicates.  Input order is
153 # *not* preserved.
154 am__uniquify_input = $(AWK) '\
155   BEGIN { nonempty = 0; } \
156   { items[$$0] = 1; nonempty = 1; } \
157   END { if (nonempty) { for (i in items) print i; }; } \
158 '
159 # Make sure the list of sources is unique.  This is necessary because,
160 # e.g., the same source file might be shared among _SOURCES variables
161 # for different programs/libraries.
162 am__define_uniq_tagged_files = \
163   list='$(am__tagged_files)'; \
164   unique=`for i in $$list; do \
165     if test -f "$$i"; then echo $$i; else echo $(srcdir)/$$i; fi; \
166   done | $(am__uniquify_input)`
167 ETAGS = etags
168 CTAGS = ctags
169 am__tty_colors_dummy = \
170   mgn= red= grn= lgn= blu= brg= std=; \
171   am__color_tests=no
172 am__tty_colors = { \
173   $(am__tty_colors_dummy); \
174   if test "X$(AM_COLOR_TESTS)" = Xno; then \
175     am__color_tests=no; \
176   elif test "X$(AM_COLOR_TESTS)" = Xalways; then \
177     am__color_tests=yes; \
178   elif test "X$$TERM" != Xdumb && { test -t 1; } 2>/dev/null; then \
179     am__color_tests=yes; \
180   fi; \
181   if test $$am__color_tests = yes; then \
182     red='\e[0;31m'; \
183     grn='\e[0;32m'; \
184     lgn='\e[1;32m'; \
185     blu='\e[1;34m'; \
186     mgn='\e[0;35m'; \
187     brg='\e[1m'; \
188     std='\e[m'; \
189   fi; \
190 }
191 am__vpath_adj_setup = srcdirstrip=`echo "$(srcdir)" | sed 's|.|.|g'`;
192 am__vpath_adj = case $$p in \
193     $(srcdir)/*) f=`echo "$$p" | sed "s|^$$srcdirstrip/||"`;; \
194     *) f=$$p;; \
195   esac;
196 am__strip_dir = f=`echo $$p | sed -e 's|^.*/||'`;
197 am__install_max = 40
198 am__nobase_strip_setup = \
199   srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*|]/\\\\&/g'`
200 am__nobase_strip = \
201   for p in $$list; do echo "$$p"; done | sed -e "s|$$srcdirstrip/||"
202 am__nobase_list = $(am__nobase_strip_setup); \
203   for p in $$list; do echo "$$p $$p"; done | \
204   sed "s| $$srcdirstrip/| |;"' / .*\//!s/ .*/ ./; s,\( .*\)/[^/]*$$,\1,' | \
205   $(AWK) 'BEGIN { files["."] = "" } { files[$$2] = files[$$2] " " $$1; \
206     if (++n[$$2] == $(am__install_max)) \
207       { print $$2, files[$$2]; n[$$2] = 0; files[$$2] = "" } } \
208     END { for (dir in files) print dir, files[dir] }'
209 am__base_list = \
210   sed '$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;$$!N;s/\n/ /g' | \
211   sed '$$!N;$$!N;$$!N;$$!N;s/\n/ /g'
212 am__uninstall_files_from_dir = { \
213   test -z "$$files" \
214     || { test ! -d "$$dir" && test ! -f "$$dir" && test ! -r "$$dir"; } \
215     || { echo " ( cd '$$dir' && rm -f" $$files ")"; \
216          $(am__cd) "$$dir" && rm -f $$files; }; \
217   }
218 am__recheck_rx = ^[     ]*:recheck:[    ]*
219 am__global_test_result_rx = ^[  ]*:global-test-result:[         ]*
220 am__copy_in_global_log_rx = ^[  ]*:copy-in-global-log:[         ]*
221 # A command that, given a newline-separated list of test names on the
222 # standard input, print the name of the tests that are to be re-run
223 # upon "make recheck".
224 am__list_recheck_tests = $(AWK) '{ \
225   recheck = 1; \
226   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
227     { \
228       if (rc < 0) \
229         { \
230           if ((getline line2 < ($$0 ".log")) < 0) \
231             recheck = 0; \
232           break; \
233         } \
234       else if (line ~ /$(am__recheck_rx)[nN][Oo]/) \
235         { \
236           recheck = 0; \
237           break; \
238         } \
239       else if (line ~ /$(am__recheck_rx)[yY][eE][sS]/) \
240         { \
241           break; \
242         } \
243     }; \
244   if (recheck) \
245     print $$0; \
246   close ($$0 ".trs"); \
247   close ($$0 ".log"); \
248 }'
249 # A command that, given a newline-separated list of test names on the
250 # standard input, create the global log from their .trs and .log files.
251 am__create_global_log = $(AWK) ' \
252 function fatal(msg) \
253 { \
254   print "fatal: making $@: " msg | "cat >&2"; \
255   exit 1; \
256 } \
257 function rst_section(header) \
258 { \
259   print header; \
260   len = length(header); \
261   for (i = 1; i <= len; i = i + 1) \
262     printf "="; \
263   printf "\n\n"; \
264 } \
265 { \
266   copy_in_global_log = 1; \
267   global_test_result = "RUN"; \
268   while ((rc = (getline line < ($$0 ".trs"))) != 0) \
269     { \
270       if (rc < 0) \
271          fatal("failed to read from " $$0 ".trs"); \
272       if (line ~ /$(am__global_test_result_rx)/) \
273         { \
274           sub("$(am__global_test_result_rx)", "", line); \
275           sub("[        ]*$$", "", line); \
276           global_test_result = line; \
277         } \
278       else if (line ~ /$(am__copy_in_global_log_rx)[nN][oO]/) \
279         copy_in_global_log = 0; \
280     }; \
281   if (copy_in_global_log) \
282     { \
283       rst_section(global_test_result ": " $$0); \
284       while ((rc = (getline line < ($$0 ".log"))) != 0) \
285       { \
286         if (rc < 0) \
287           fatal("failed to read from " $$0 ".log"); \
288         print line; \
289       }; \
290       printf "\n"; \
291     }; \
292   close ($$0 ".trs"); \
293   close ($$0 ".log"); \
294 }'
295 # Restructured Text title.
296 am__rst_title = { sed 's/.*/   &   /;h;s/./=/g;p;x;s/ *$$//;p;g' && echo; }
297 # Solaris 10 'make', and several other traditional 'make' implementations,
298 # pass "-e" to $(SHELL), and POSIX 2008 even requires this.  Work around it
299 # by disabling -e (using the XSI extension "set +e") if it's set.
300 am__sh_e_setup = case $$- in *e*) set +e;; esac
301 # Default flags passed to test drivers.
302 am__common_driver_flags = \
303   --color-tests "$$am__color_tests" \
304   --enable-hard-errors "$$am__enable_hard_errors" \
305   --expect-failure "$$am__expect_failure"
306 # To be inserted before the command running the test.  Creates the
307 # directory for the log if needed.  Stores in $dir the directory
308 # containing $f, in $tst the test, in $log the log.  Executes the
309 # developer- defined test setup AM_TESTS_ENVIRONMENT (if any), and
310 # passes TESTS_ENVIRONMENT.  Set up options for the wrapper that
311 # will run the test scripts (or their associated LOG_COMPILER, if
312 # thy have one).
313 am__check_pre = \
314 $(am__sh_e_setup);                                      \
315 $(am__vpath_adj_setup) $(am__vpath_adj)                 \
316 $(am__tty_colors);                                      \
317 srcdir=$(srcdir); export srcdir;                        \
318 case "$@" in                                            \
319   */*) am__odir=`echo "./$@" | sed 's|/[^/]*$$||'`;;    \
320     *) am__odir=.;;                                     \
321 esac;                                                   \
322 test "x$$am__odir" = x"." || test -d "$$am__odir"       \
323   || $(MKDIR_P) "$$am__odir" || exit $$?;               \
324 if test -f "./$$f"; then dir=./;                        \
325 elif test -f "$$f"; then dir=;                          \
326 else dir="$(srcdir)/"; fi;                              \
327 tst=$$dir$$f; log='$@';                                 \
328 if test -n '$(DISABLE_HARD_ERRORS)'; then               \
329   am__enable_hard_errors=no;                            \
330 else                                                    \
331   am__enable_hard_errors=yes;                           \
332 fi;                                                     \
333 case " $(XFAIL_TESTS) " in                              \
334   *[\ \ ]$$f[\ \        ]* | *[\ \      ]$$dir$$f[\ \   ]*) \
335     am__expect_failure=yes;;                            \
336   *)                                                    \
337     am__expect_failure=no;;                             \
338 esac;                                                   \
339 $(AM_TESTS_ENVIRONMENT) $(TESTS_ENVIRONMENT)
340 # A shell command to get the names of the tests scripts with any registered
341 # extension removed (i.e., equivalently, the names of the test logs, with
342 # the '.log' extension removed).  The result is saved in the shell variable
343 # '$bases'.  This honors runtime overriding of TESTS and TEST_LOGS.  Sadly,
344 # we cannot use something simpler, involving e.g., "$(TEST_LOGS:.log=)",
345 # since that might cause problem with VPATH rewrites for suffix-less tests.
346 # See also 'test-harness-vpath-rewrite.sh' and 'test-trs-basic.sh'.
347 am__set_TESTS_bases = \
348   bases='$(TEST_LOGS)'; \
349   bases=`for i in $$bases; do echo $$i; done | sed 's/\.log$$//'`; \
350   bases=`echo $$bases`
351 RECHECK_LOGS = $(TEST_LOGS)
352 AM_RECURSIVE_TARGETS = check recheck
353 TEST_SUITE_LOG = test-suite.log
354 TEST_EXTENSIONS = @EXEEXT@ .test
355 LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
356 LOG_COMPILE = $(LOG_COMPILER) $(AM_LOG_FLAGS) $(LOG_FLAGS)
357 am__set_b = \
358   case '$@' in \
359     */*) \
360       case '$*' in \
361         */*) b='$*';; \
362           *) b=`echo '$@' | sed 's/\.log$$//'`; \
363        esac;; \
364     *) \
365       b='$*';; \
366   esac
367 am__test_logs1 = $(TESTS:=.log)
368 am__test_logs2 = $(am__test_logs1:@EXEEXT@.log=.log)
369 TEST_LOGS = $(am__test_logs2:.test.log=.log)
370 TEST_LOG_DRIVER = $(SHELL) $(top_srcdir)/test-driver
371 TEST_LOG_COMPILE = $(TEST_LOG_COMPILER) $(AM_TEST_LOG_FLAGS) \
372         $(TEST_LOG_FLAGS)
373 DISTFILES = $(DIST_COMMON) $(DIST_SOURCES) $(TEXINFOS) $(EXTRA_DIST)
374 ACLOCAL = @ACLOCAL@
375 AMTAR = @AMTAR@
376 AM_DEFAULT_VERBOSITY = @AM_DEFAULT_VERBOSITY@
377 AUTOCONF = @AUTOCONF@
378 AUTOHEADER = @AUTOHEADER@
379 AUTOMAKE = @AUTOMAKE@
380 AWK = @AWK@
381 CC = @CC@
382 CCDEPMODE = @CCDEPMODE@
383 CFLAGS = @CFLAGS@
384 CPP = @CPP@
385 CPPFLAGS = @CPPFLAGS@
386 CURL_CFLAGS = @CURL_CFLAGS@
387 CURL_LIBS = @CURL_LIBS@
388 CYGPATH_W = @CYGPATH_W@
389 DEFS = @DEFS@
390 DEPDIR = @DEPDIR@
391 ECHO_C = @ECHO_C@
392 ECHO_N = @ECHO_N@
393 ECHO_T = @ECHO_T@
394 EGREP = @EGREP@
395 EXEEXT = @EXEEXT@
396 GETTEXT_MACRO_VERSION = @GETTEXT_MACRO_VERSION@
397 GMSGFMT = @GMSGFMT@
398 GMSGFMT_015 = @GMSGFMT_015@
399 GREP = @GREP@
400 HAVE_CPPCHECK = @HAVE_CPPCHECK@
401 HELP2MAN = @HELP2MAN@
402 INSTALL = @INSTALL@
403 INSTALL_DATA = @INSTALL_DATA@
404 INSTALL_PROGRAM = @INSTALL_PROGRAM@
405 INSTALL_SCRIPT = @INSTALL_SCRIPT@
406 INSTALL_STRIP_PROGRAM = @INSTALL_STRIP_PROGRAM@
407 INTLLIBS = @INTLLIBS@
408 INTL_MACOSX_LIBS = @INTL_MACOSX_LIBS@
409 JSON_CFLAGS = @JSON_CFLAGS@
410 JSON_LIBS = @JSON_LIBS@
411 LDFLAGS = @LDFLAGS@
412 LIBICONV = @LIBICONV@
413 LIBINTL = @LIBINTL@
414 LIBOBJS = @LIBOBJS@
415 LIBS = @LIBS@
416 LTLIBICONV = @LTLIBICONV@
417 LTLIBINTL = @LTLIBINTL@
418 LTLIBOBJS = @LTLIBOBJS@
419 MAKEINFO = @MAKEINFO@
420 MKDIR_P = @MKDIR_P@
421 MSGFMT = @MSGFMT@
422 MSGFMT_015 = @MSGFMT_015@
423 MSGMERGE = @MSGMERGE@
424 OBJEXT = @OBJEXT@
425 PACKAGE = @PACKAGE@
426 PACKAGE_BUGREPORT = @PACKAGE_BUGREPORT@
427 PACKAGE_NAME = @PACKAGE_NAME@
428 PACKAGE_STRING = @PACKAGE_STRING@
429 PACKAGE_TARNAME = @PACKAGE_TARNAME@
430 PACKAGE_URL = @PACKAGE_URL@
431 PACKAGE_VERSION = @PACKAGE_VERSION@
432 PATH_SEPARATOR = @PATH_SEPARATOR@
433 PKG_CONFIG = @PKG_CONFIG@
434 PKG_CONFIG_LIBDIR = @PKG_CONFIG_LIBDIR@
435 PKG_CONFIG_PATH = @PKG_CONFIG_PATH@
436 POSUB = @POSUB@
437 RANLIB = @RANLIB@
438 SET_MAKE = @SET_MAKE@
439 SHELL = @SHELL@
440 STRIP = @STRIP@
441 USE_NLS = @USE_NLS@
442 VERSION = @VERSION@
443 XGETTEXT = @XGETTEXT@
444 XGETTEXT_015 = @XGETTEXT_015@
445 XGETTEXT_EXTRA_OPTIONS = @XGETTEXT_EXTRA_OPTIONS@
446 XMKMF = @XMKMF@
447 abs_builddir = @abs_builddir@
448 abs_srcdir = @abs_srcdir@
449 abs_top_builddir = @abs_top_builddir@
450 abs_top_srcdir = @abs_top_srcdir@
451 ac_ct_CC = @ac_ct_CC@
452 am__include = @am__include@
453 am__leading_dot = @am__leading_dot@
454 am__quote = @am__quote@
455 am__tar = @am__tar@
456 am__untar = @am__untar@
457 bindir = @bindir@
458 build = @build@
459 build_alias = @build_alias@
460 build_cpu = @build_cpu@
461 build_os = @build_os@
462 build_vendor = @build_vendor@
463 builddir = @builddir@
464 datadir = @datadir@
465 datarootdir = @datarootdir@
466 docdir = @docdir@
467 dvidir = @dvidir@
468 exec_prefix = @exec_prefix@
469 host = @host@
470 host_alias = @host_alias@
471 host_cpu = @host_cpu@
472 host_os = @host_os@
473 host_vendor = @host_vendor@
474 htmldir = @htmldir@
475 includedir = @includedir@
476 infodir = @infodir@
477 install_sh = @install_sh@
478 libdir = @libdir@
479 libexecdir = @libexecdir@
480 localedir = @localedir@
481 localstatedir = @localstatedir@
482 mandir = @mandir@
483 mkdir_p = @mkdir_p@
484 oldincludedir = @oldincludedir@
485 pdfdir = @pdfdir@
486 prefix = @prefix@
487 program_transform_name = @program_transform_name@
488 psdir = @psdir@
489 sbindir = @sbindir@
490 sharedstatedir = @sharedstatedir@
491 srcdir = @srcdir@
492 sysconfdir = @sysconfdir@
493 target_alias = @target_alias@
494 top_build_prefix = @top_build_prefix@
495 top_builddir = @top_builddir@
496 top_srcdir = @top_srcdir@
497 EXTRA_DIST = \
498         checkpatch.pl \
499         test-cppcheck.sh \
500         test_strrep.c \
501         test_ptime.c
502
503 test_strrep_SOURCES = \
504         test_strrep.c \
505         $(top_builddir)/src/pstr.h \
506         $(top_builddir)/src/pstr.c
507
508 test_strrep_CFLAGS = -I$(top_srcdir)/src
509 test_ptime_SOURCES = \
510         test_ptime.c \
511         $(top_builddir)/src/ptime.h \
512         $(top_builddir)/src/ptime.c
513
514 test_ptime_CFLAGS = -I$(top_srcdir)/src
515 all: all-am
516
517 .SUFFIXES:
518 .SUFFIXES: .c .log .o .obj .test .test$(EXEEXT) .trs
519 $(srcdir)/Makefile.in:  $(srcdir)/Makefile.am  $(am__configure_deps)
520         @for dep in $?; do \
521           case '$(am__configure_deps)' in \
522             *$$dep*) \
523               ( cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh ) \
524                 && { if test -f $@; then exit 0; else break; fi; }; \
525               exit 1;; \
526           esac; \
527         done; \
528         echo ' cd $(top_srcdir) && $(AUTOMAKE) --gnu tests/Makefile'; \
529         $(am__cd) $(top_srcdir) && \
530           $(AUTOMAKE) --gnu tests/Makefile
531 .PRECIOUS: Makefile
532 Makefile: $(srcdir)/Makefile.in $(top_builddir)/config.status
533         @case '$?' in \
534           *config.status*) \
535             cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh;; \
536           *) \
537             echo ' cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe)'; \
538             cd $(top_builddir) && $(SHELL) ./config.status $(subdir)/$@ $(am__depfiles_maybe);; \
539         esac;
540
541 $(top_builddir)/config.status: $(top_srcdir)/configure $(CONFIG_STATUS_DEPENDENCIES)
542         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
543
544 $(top_srcdir)/configure:  $(am__configure_deps)
545         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
546 $(ACLOCAL_M4):  $(am__aclocal_m4_deps)
547         cd $(top_builddir) && $(MAKE) $(AM_MAKEFLAGS) am--refresh
548 $(am__aclocal_m4_deps):
549
550 clean-checkPROGRAMS:
551         -test -z "$(check_PROGRAMS)" || rm -f $(check_PROGRAMS)
552
553 test-ptime$(EXEEXT): $(test_ptime_OBJECTS) $(test_ptime_DEPENDENCIES) $(EXTRA_test_ptime_DEPENDENCIES) 
554         @rm -f test-ptime$(EXEEXT)
555         $(AM_V_CCLD)$(test_ptime_LINK) $(test_ptime_OBJECTS) $(test_ptime_LDADD) $(LIBS)
556
557 test-strrep$(EXEEXT): $(test_strrep_OBJECTS) $(test_strrep_DEPENDENCIES) $(EXTRA_test_strrep_DEPENDENCIES) 
558         @rm -f test-strrep$(EXEEXT)
559         $(AM_V_CCLD)$(test_strrep_LINK) $(test_strrep_OBJECTS) $(test_strrep_LDADD) $(LIBS)
560
561 mostlyclean-compile:
562         -rm -f *.$(OBJEXT)
563
564 distclean-compile:
565         -rm -f *.tab.c
566
567 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ptime-ptime.Po@am__quote@
568 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_ptime-test_ptime.Po@am__quote@
569 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_strrep-pstr.Po@am__quote@
570 @AMDEP_TRUE@@am__include@ @am__quote@./$(DEPDIR)/test_strrep-test_strrep.Po@am__quote@
571
572 .c.o:
573 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ $<
574 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
575 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
576 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
577 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ $<
578
579 .c.obj:
580 @am__fastdepCC_TRUE@    $(AM_V_CC)$(COMPILE) -MT $@ -MD -MP -MF $(DEPDIR)/$*.Tpo -c -o $@ `$(CYGPATH_W) '$<'`
581 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/$*.Tpo $(DEPDIR)/$*.Po
582 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$<' object='$@' libtool=no @AMDEPBACKSLASH@
583 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
584 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(COMPILE) -c -o $@ `$(CYGPATH_W) '$<'`
585
586 test_ptime-test_ptime.o: test_ptime.c
587 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-test_ptime.o -MD -MP -MF $(DEPDIR)/test_ptime-test_ptime.Tpo -c -o test_ptime-test_ptime.o `test -f 'test_ptime.c' || echo '$(srcdir)/'`test_ptime.c
588 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-test_ptime.Tpo $(DEPDIR)/test_ptime-test_ptime.Po
589 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_ptime.c' object='test_ptime-test_ptime.o' libtool=no @AMDEPBACKSLASH@
590 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
591 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-test_ptime.o `test -f 'test_ptime.c' || echo '$(srcdir)/'`test_ptime.c
592
593 test_ptime-test_ptime.obj: test_ptime.c
594 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-test_ptime.obj -MD -MP -MF $(DEPDIR)/test_ptime-test_ptime.Tpo -c -o test_ptime-test_ptime.obj `if test -f 'test_ptime.c'; then $(CYGPATH_W) 'test_ptime.c'; else $(CYGPATH_W) '$(srcdir)/test_ptime.c'; fi`
595 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-test_ptime.Tpo $(DEPDIR)/test_ptime-test_ptime.Po
596 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_ptime.c' object='test_ptime-test_ptime.obj' libtool=no @AMDEPBACKSLASH@
597 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
598 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-test_ptime.obj `if test -f 'test_ptime.c'; then $(CYGPATH_W) 'test_ptime.c'; else $(CYGPATH_W) '$(srcdir)/test_ptime.c'; fi`
599
600 test_ptime-ptime.o: $(top_builddir)/src/ptime.c
601 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-ptime.o -MD -MP -MF $(DEPDIR)/test_ptime-ptime.Tpo -c -o test_ptime-ptime.o `test -f '$(top_builddir)/src/ptime.c' || echo '$(srcdir)/'`$(top_builddir)/src/ptime.c
602 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-ptime.Tpo $(DEPDIR)/test_ptime-ptime.Po
603 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/ptime.c' object='test_ptime-ptime.o' libtool=no @AMDEPBACKSLASH@
604 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
605 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-ptime.o `test -f '$(top_builddir)/src/ptime.c' || echo '$(srcdir)/'`$(top_builddir)/src/ptime.c
606
607 test_ptime-ptime.obj: $(top_builddir)/src/ptime.c
608 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -MT test_ptime-ptime.obj -MD -MP -MF $(DEPDIR)/test_ptime-ptime.Tpo -c -o test_ptime-ptime.obj `if test -f '$(top_builddir)/src/ptime.c'; then $(CYGPATH_W) '$(top_builddir)/src/ptime.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/ptime.c'; fi`
609 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_ptime-ptime.Tpo $(DEPDIR)/test_ptime-ptime.Po
610 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/ptime.c' object='test_ptime-ptime.obj' libtool=no @AMDEPBACKSLASH@
611 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
612 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_ptime_CFLAGS) $(CFLAGS) -c -o test_ptime-ptime.obj `if test -f '$(top_builddir)/src/ptime.c'; then $(CYGPATH_W) '$(top_builddir)/src/ptime.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/ptime.c'; fi`
613
614 test_strrep-test_strrep.o: test_strrep.c
615 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-test_strrep.o -MD -MP -MF $(DEPDIR)/test_strrep-test_strrep.Tpo -c -o test_strrep-test_strrep.o `test -f 'test_strrep.c' || echo '$(srcdir)/'`test_strrep.c
616 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-test_strrep.Tpo $(DEPDIR)/test_strrep-test_strrep.Po
617 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_strrep.c' object='test_strrep-test_strrep.o' libtool=no @AMDEPBACKSLASH@
618 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
619 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-test_strrep.o `test -f 'test_strrep.c' || echo '$(srcdir)/'`test_strrep.c
620
621 test_strrep-test_strrep.obj: test_strrep.c
622 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-test_strrep.obj -MD -MP -MF $(DEPDIR)/test_strrep-test_strrep.Tpo -c -o test_strrep-test_strrep.obj `if test -f 'test_strrep.c'; then $(CYGPATH_W) 'test_strrep.c'; else $(CYGPATH_W) '$(srcdir)/test_strrep.c'; fi`
623 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-test_strrep.Tpo $(DEPDIR)/test_strrep-test_strrep.Po
624 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='test_strrep.c' object='test_strrep-test_strrep.obj' libtool=no @AMDEPBACKSLASH@
625 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
626 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-test_strrep.obj `if test -f 'test_strrep.c'; then $(CYGPATH_W) 'test_strrep.c'; else $(CYGPATH_W) '$(srcdir)/test_strrep.c'; fi`
627
628 test_strrep-pstr.o: $(top_builddir)/src/pstr.c
629 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-pstr.o -MD -MP -MF $(DEPDIR)/test_strrep-pstr.Tpo -c -o test_strrep-pstr.o `test -f '$(top_builddir)/src/pstr.c' || echo '$(srcdir)/'`$(top_builddir)/src/pstr.c
630 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-pstr.Tpo $(DEPDIR)/test_strrep-pstr.Po
631 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/pstr.c' object='test_strrep-pstr.o' libtool=no @AMDEPBACKSLASH@
632 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
633 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-pstr.o `test -f '$(top_builddir)/src/pstr.c' || echo '$(srcdir)/'`$(top_builddir)/src/pstr.c
634
635 test_strrep-pstr.obj: $(top_builddir)/src/pstr.c
636 @am__fastdepCC_TRUE@    $(AM_V_CC)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -MT test_strrep-pstr.obj -MD -MP -MF $(DEPDIR)/test_strrep-pstr.Tpo -c -o test_strrep-pstr.obj `if test -f '$(top_builddir)/src/pstr.c'; then $(CYGPATH_W) '$(top_builddir)/src/pstr.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/pstr.c'; fi`
637 @am__fastdepCC_TRUE@    $(AM_V_at)$(am__mv) $(DEPDIR)/test_strrep-pstr.Tpo $(DEPDIR)/test_strrep-pstr.Po
638 @AMDEP_TRUE@@am__fastdepCC_FALSE@       $(AM_V_CC)source='$(top_builddir)/src/pstr.c' object='test_strrep-pstr.obj' libtool=no @AMDEPBACKSLASH@
639 @AMDEP_TRUE@@am__fastdepCC_FALSE@       DEPDIR=$(DEPDIR) $(CCDEPMODE) $(depcomp) @AMDEPBACKSLASH@
640 @am__fastdepCC_FALSE@   $(AM_V_CC@am__nodep@)$(CC) $(DEFS) $(DEFAULT_INCLUDES) $(INCLUDES) $(AM_CPPFLAGS) $(CPPFLAGS) $(test_strrep_CFLAGS) $(CFLAGS) -c -o test_strrep-pstr.obj `if test -f '$(top_builddir)/src/pstr.c'; then $(CYGPATH_W) '$(top_builddir)/src/pstr.c'; else $(CYGPATH_W) '$(srcdir)/$(top_builddir)/src/pstr.c'; fi`
641
642 ID: $(am__tagged_files)
643         $(am__define_uniq_tagged_files); mkid -fID $$unique
644 tags: tags-am
645 TAGS: tags
646
647 tags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
648         set x; \
649         here=`pwd`; \
650         $(am__define_uniq_tagged_files); \
651         shift; \
652         if test -z "$(ETAGS_ARGS)$$*$$unique"; then :; else \
653           test -n "$$unique" || unique=$$empty_fix; \
654           if test $$# -gt 0; then \
655             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
656               "$$@" $$unique; \
657           else \
658             $(ETAGS) $(ETAGSFLAGS) $(AM_ETAGSFLAGS) $(ETAGS_ARGS) \
659               $$unique; \
660           fi; \
661         fi
662 ctags: ctags-am
663
664 CTAGS: ctags
665 ctags-am: $(TAGS_DEPENDENCIES) $(am__tagged_files)
666         $(am__define_uniq_tagged_files); \
667         test -z "$(CTAGS_ARGS)$$unique" \
668           || $(CTAGS) $(CTAGSFLAGS) $(AM_CTAGSFLAGS) $(CTAGS_ARGS) \
669              $$unique
670
671 GTAGS:
672         here=`$(am__cd) $(top_builddir) && pwd` \
673           && $(am__cd) $(top_srcdir) \
674           && gtags -i $(GTAGS_ARGS) "$$here"
675 cscopelist: cscopelist-am
676
677 cscopelist-am: $(am__tagged_files)
678         list='$(am__tagged_files)'; \
679         case "$(srcdir)" in \
680           [\\/]* | ?:[\\/]*) sdir="$(srcdir)" ;; \
681           *) sdir=$(subdir)/$(srcdir) ;; \
682         esac; \
683         for i in $$list; do \
684           if test -f "$$i"; then \
685             echo "$(subdir)/$$i"; \
686           else \
687             echo "$$sdir/$$i"; \
688           fi; \
689         done >> $(top_builddir)/cscope.files
690
691 distclean-tags:
692         -rm -f TAGS ID GTAGS GRTAGS GSYMS GPATH tags
693
694 # Recover from deleted '.trs' file; this should ensure that
695 # "rm -f foo.log; make foo.trs" re-run 'foo.test', and re-create
696 # both 'foo.log' and 'foo.trs'.  Break the recipe in two subshells
697 # to avoid problems with "make -n".
698 .log.trs:
699         rm -f $< $@
700         $(MAKE) $(AM_MAKEFLAGS) $<
701
702 # Leading 'am--fnord' is there to ensure the list of targets does not
703 # expand to empty, as could happen e.g. with make check TESTS=''.
704 am--fnord $(TEST_LOGS) $(TEST_LOGS:.log=.trs): $(am__force_recheck)
705 am--force-recheck:
706         @:
707
708 $(TEST_SUITE_LOG): $(TEST_LOGS)
709         @$(am__set_TESTS_bases); \
710         am__f_ok () { test -f "$$1" && test -r "$$1"; }; \
711         redo_bases=`for i in $$bases; do \
712                       am__f_ok $$i.trs && am__f_ok $$i.log || echo $$i; \
713                     done`; \
714         if test -n "$$redo_bases"; then \
715           redo_logs=`for i in $$redo_bases; do echo $$i.log; done`; \
716           redo_results=`for i in $$redo_bases; do echo $$i.trs; done`; \
717           if $(am__make_dryrun); then :; else \
718             rm -f $$redo_logs && rm -f $$redo_results || exit 1; \
719           fi; \
720         fi; \
721         if test -n "$$am__remaking_logs"; then \
722           echo "fatal: making $(TEST_SUITE_LOG): possible infinite" \
723                "recursion detected" >&2; \
724         else \
725           am__remaking_logs=yes $(MAKE) $(AM_MAKEFLAGS) $$redo_logs; \
726         fi; \
727         if $(am__make_dryrun); then :; else \
728           st=0;  \
729           errmsg="fatal: making $(TEST_SUITE_LOG): failed to create"; \
730           for i in $$redo_bases; do \
731             test -f $$i.trs && test -r $$i.trs \
732               || { echo "$$errmsg $$i.trs" >&2; st=1; }; \
733             test -f $$i.log && test -r $$i.log \
734               || { echo "$$errmsg $$i.log" >&2; st=1; }; \
735           done; \
736           test $$st -eq 0 || exit 1; \
737         fi
738         @$(am__sh_e_setup); $(am__tty_colors); $(am__set_TESTS_bases); \
739         ws='[   ]'; \
740         results=`for b in $$bases; do echo $$b.trs; done`; \
741         test -n "$$results" || results=/dev/null; \
742         all=`  grep "^$$ws*:test-result:"           $$results | wc -l`; \
743         pass=` grep "^$$ws*:test-result:$$ws*PASS"  $$results | wc -l`; \
744         fail=` grep "^$$ws*:test-result:$$ws*FAIL"  $$results | wc -l`; \
745         skip=` grep "^$$ws*:test-result:$$ws*SKIP"  $$results | wc -l`; \
746         xfail=`grep "^$$ws*:test-result:$$ws*XFAIL" $$results | wc -l`; \
747         xpass=`grep "^$$ws*:test-result:$$ws*XPASS" $$results | wc -l`; \
748         error=`grep "^$$ws*:test-result:$$ws*ERROR" $$results | wc -l`; \
749         if test `expr $$fail + $$xpass + $$error` -eq 0; then \
750           success=true; \
751         else \
752           success=false; \
753         fi; \
754         br='==================='; br=$$br$$br$$br$$br; \
755         result_count () \
756         { \
757             if test x"$$1" = x"--maybe-color"; then \
758               maybe_colorize=yes; \
759             elif test x"$$1" = x"--no-color"; then \
760               maybe_colorize=no; \
761             else \
762               echo "$@: invalid 'result_count' usage" >&2; exit 4; \
763             fi; \
764             shift; \
765             desc=$$1 count=$$2; \
766             if test $$maybe_colorize = yes && test $$count -gt 0; then \
767               color_start=$$3 color_end=$$std; \
768             else \
769               color_start= color_end=; \
770             fi; \
771             echo "$${color_start}# $$desc $$count$${color_end}"; \
772         }; \
773         create_testsuite_report () \
774         { \
775           result_count $$1 "TOTAL:" $$all   "$$brg"; \
776           result_count $$1 "PASS: " $$pass  "$$grn"; \
777           result_count $$1 "SKIP: " $$skip  "$$blu"; \
778           result_count $$1 "XFAIL:" $$xfail "$$lgn"; \
779           result_count $$1 "FAIL: " $$fail  "$$red"; \
780           result_count $$1 "XPASS:" $$xpass "$$red"; \
781           result_count $$1 "ERROR:" $$error "$$mgn"; \
782         }; \
783         {                                                               \
784           echo "$(PACKAGE_STRING): $(subdir)/$(TEST_SUITE_LOG)" |       \
785             $(am__rst_title);                                           \
786           create_testsuite_report --no-color;                           \
787           echo;                                                         \
788           echo ".. contents:: :depth: 2";                               \
789           echo;                                                         \
790           for b in $$bases; do echo $$b; done                           \
791             | $(am__create_global_log);                                 \
792         } >$(TEST_SUITE_LOG).tmp || exit 1;                             \
793         mv $(TEST_SUITE_LOG).tmp $(TEST_SUITE_LOG);                     \
794         if $$success; then                                              \
795           col="$$grn";                                                  \
796          else                                                           \
797           col="$$red";                                                  \
798           test x"$$VERBOSE" = x || cat $(TEST_SUITE_LOG);               \
799         fi;                                                             \
800         echo "$${col}$$br$${std}";                                      \
801         echo "$${col}Testsuite summary for $(PACKAGE_STRING)$${std}";   \
802         echo "$${col}$$br$${std}";                                      \
803         create_testsuite_report --maybe-color;                          \
804         echo "$$col$$br$$std";                                          \
805         if $$success; then :; else                                      \
806           echo "$${col}See $(subdir)/$(TEST_SUITE_LOG)$${std}";         \
807           if test -n "$(PACKAGE_BUGREPORT)"; then                       \
808             echo "$${col}Please report to $(PACKAGE_BUGREPORT)$${std}"; \
809           fi;                                                           \
810           echo "$$col$$br$$std";                                        \
811         fi;                                                             \
812         $$success || exit 1
813
814 check-TESTS:
815         @list='$(RECHECK_LOGS)';           test -z "$$list" || rm -f $$list
816         @list='$(RECHECK_LOGS:.log=.trs)'; test -z "$$list" || rm -f $$list
817         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
818         @set +e; $(am__set_TESTS_bases); \
819         log_list=`for i in $$bases; do echo $$i.log; done`; \
820         trs_list=`for i in $$bases; do echo $$i.trs; done`; \
821         log_list=`echo $$log_list`; trs_list=`echo $$trs_list`; \
822         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) TEST_LOGS="$$log_list"; \
823         exit $$?;
824 recheck: all $(check_PROGRAMS)
825         @test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
826         @set +e; $(am__set_TESTS_bases); \
827         bases=`for i in $$bases; do echo $$i; done \
828                  | $(am__list_recheck_tests)` || exit 1; \
829         log_list=`for i in $$bases; do echo $$i.log; done`; \
830         log_list=`echo $$log_list`; \
831         $(MAKE) $(AM_MAKEFLAGS) $(TEST_SUITE_LOG) \
832                 am__force_recheck=am--force-recheck \
833                 TEST_LOGS="$$log_list"; \
834         exit $$?
835 test-strrep.log: test-strrep$(EXEEXT)
836         @p='test-strrep$(EXEEXT)'; \
837         b='test-strrep'; \
838         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
839         --log-file $$b.log --trs-file $$b.trs \
840         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
841         "$$tst" $(AM_TESTS_FD_REDIRECT)
842 test-ptime.log: test-ptime$(EXEEXT)
843         @p='test-ptime$(EXEEXT)'; \
844         b='test-ptime'; \
845         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
846         --log-file $$b.log --trs-file $$b.trs \
847         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
848         "$$tst" $(AM_TESTS_FD_REDIRECT)
849 test-cppcheck.sh.log: test-cppcheck.sh
850         @p='test-cppcheck.sh'; \
851         b='test-cppcheck.sh'; \
852         $(am__check_pre) $(LOG_DRIVER) --test-name "$$f" \
853         --log-file $$b.log --trs-file $$b.trs \
854         $(am__common_driver_flags) $(AM_LOG_DRIVER_FLAGS) $(LOG_DRIVER_FLAGS) -- $(LOG_COMPILE) \
855         "$$tst" $(AM_TESTS_FD_REDIRECT)
856 .test.log:
857         @p='$<'; \
858         $(am__set_b); \
859         $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
860         --log-file $$b.log --trs-file $$b.trs \
861         $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
862         "$$tst" $(AM_TESTS_FD_REDIRECT)
863 @am__EXEEXT_TRUE@.test$(EXEEXT).log:
864 @am__EXEEXT_TRUE@       @p='$<'; \
865 @am__EXEEXT_TRUE@       $(am__set_b); \
866 @am__EXEEXT_TRUE@       $(am__check_pre) $(TEST_LOG_DRIVER) --test-name "$$f" \
867 @am__EXEEXT_TRUE@       --log-file $$b.log --trs-file $$b.trs \
868 @am__EXEEXT_TRUE@       $(am__common_driver_flags) $(AM_TEST_LOG_DRIVER_FLAGS) $(TEST_LOG_DRIVER_FLAGS) -- $(TEST_LOG_COMPILE) \
869 @am__EXEEXT_TRUE@       "$$tst" $(AM_TESTS_FD_REDIRECT)
870
871 distdir: $(DISTFILES)
872         @srcdirstrip=`echo "$(srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
873         topsrcdirstrip=`echo "$(top_srcdir)" | sed 's/[].[^$$\\*]/\\\\&/g'`; \
874         list='$(DISTFILES)'; \
875           dist_files=`for file in $$list; do echo $$file; done | \
876           sed -e "s|^$$srcdirstrip/||;t" \
877               -e "s|^$$topsrcdirstrip/|$(top_builddir)/|;t"`; \
878         case $$dist_files in \
879           */*) $(MKDIR_P) `echo "$$dist_files" | \
880                            sed '/\//!d;s|^|$(distdir)/|;s,/[^/]*$$,,' | \
881                            sort -u` ;; \
882         esac; \
883         for file in $$dist_files; do \
884           if test -f $$file || test -d $$file; then d=.; else d=$(srcdir); fi; \
885           if test -d $$d/$$file; then \
886             dir=`echo "/$$file" | sed -e 's,/[^/]*$$,,'`; \
887             if test -d "$(distdir)/$$file"; then \
888               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
889             fi; \
890             if test -d $(srcdir)/$$file && test $$d != $(srcdir); then \
891               cp -fpR $(srcdir)/$$file "$(distdir)$$dir" || exit 1; \
892               find "$(distdir)/$$file" -type d ! -perm -700 -exec chmod u+rwx {} \;; \
893             fi; \
894             cp -fpR $$d/$$file "$(distdir)$$dir" || exit 1; \
895           else \
896             test -f "$(distdir)/$$file" \
897             || cp -p $$d/$$file "$(distdir)/$$file" \
898             || exit 1; \
899           fi; \
900         done
901 check-am: all-am
902         $(MAKE) $(AM_MAKEFLAGS) $(check_PROGRAMS)
903         $(MAKE) $(AM_MAKEFLAGS) check-TESTS check-local
904 check: check-am
905 all-am: Makefile
906 installdirs:
907 install: install-am
908 install-exec: install-exec-am
909 install-data: install-data-am
910 uninstall: uninstall-am
911
912 install-am: all-am
913         @$(MAKE) $(AM_MAKEFLAGS) install-exec-am install-data-am
914
915 installcheck: installcheck-am
916 install-strip:
917         if test -z '$(STRIP)'; then \
918           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
919             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
920               install; \
921         else \
922           $(MAKE) $(AM_MAKEFLAGS) INSTALL_PROGRAM="$(INSTALL_STRIP_PROGRAM)" \
923             install_sh_PROGRAM="$(INSTALL_STRIP_PROGRAM)" INSTALL_STRIP_FLAG=-s \
924             "INSTALL_PROGRAM_ENV=STRIPPROG='$(STRIP)'" install; \
925         fi
926 mostlyclean-generic:
927         -test -z "$(TEST_LOGS)" || rm -f $(TEST_LOGS)
928         -test -z "$(TEST_LOGS:.log=.trs)" || rm -f $(TEST_LOGS:.log=.trs)
929         -test -z "$(TEST_SUITE_LOG)" || rm -f $(TEST_SUITE_LOG)
930
931 clean-generic:
932
933 distclean-generic:
934         -test -z "$(CONFIG_CLEAN_FILES)" || rm -f $(CONFIG_CLEAN_FILES)
935         -test . = "$(srcdir)" || test -z "$(CONFIG_CLEAN_VPATH_FILES)" || rm -f $(CONFIG_CLEAN_VPATH_FILES)
936
937 maintainer-clean-generic:
938         @echo "This command is intended for maintainers to use"
939         @echo "it deletes files that may require special tools to rebuild."
940 clean: clean-am
941
942 clean-am: clean-checkPROGRAMS clean-generic mostlyclean-am
943
944 distclean: distclean-am
945         -rm -rf ./$(DEPDIR)
946         -rm -f Makefile
947 distclean-am: clean-am distclean-compile distclean-generic \
948         distclean-tags
949
950 dvi: dvi-am
951
952 dvi-am:
953
954 html: html-am
955
956 html-am:
957
958 info: info-am
959
960 info-am:
961
962 install-data-am:
963
964 install-dvi: install-dvi-am
965
966 install-dvi-am:
967
968 install-exec-am:
969
970 install-html: install-html-am
971
972 install-html-am:
973
974 install-info: install-info-am
975
976 install-info-am:
977
978 install-man:
979
980 install-pdf: install-pdf-am
981
982 install-pdf-am:
983
984 install-ps: install-ps-am
985
986 install-ps-am:
987
988 installcheck-am:
989
990 maintainer-clean: maintainer-clean-am
991         -rm -rf ./$(DEPDIR)
992         -rm -f Makefile
993 maintainer-clean-am: distclean-am maintainer-clean-generic
994
995 mostlyclean: mostlyclean-am
996
997 mostlyclean-am: mostlyclean-compile mostlyclean-generic
998
999 pdf: pdf-am
1000
1001 pdf-am:
1002
1003 ps: ps-am
1004
1005 ps-am:
1006
1007 uninstall-am:
1008
1009 .MAKE: check-am install-am install-strip
1010
1011 .PHONY: CTAGS GTAGS TAGS all all-am check check-TESTS check-am \
1012         check-local clean clean-checkPROGRAMS clean-generic \
1013         cscopelist-am ctags ctags-am distclean distclean-compile \
1014         distclean-generic distclean-tags distdir dvi dvi-am html \
1015         html-am info info-am install install-am install-data \
1016         install-data-am install-dvi install-dvi-am install-exec \
1017         install-exec-am install-html install-html-am install-info \
1018         install-info-am install-man install-pdf install-pdf-am \
1019         install-ps install-ps-am install-strip installcheck \
1020         installcheck-am installdirs maintainer-clean \
1021         maintainer-clean-generic mostlyclean mostlyclean-compile \
1022         mostlyclean-generic pdf pdf-am ps ps-am recheck tags tags-am \
1023         uninstall uninstall-am
1024
1025 check-local: checkpatch.pl
1026         find $(top_srcdir)/src -name \*.c -exec $(srcdir)/checkpatch.pl --show-types -q --no-tree  -emacs -f {} \;
1027         find $(top_srcdir)/src -name \*.h -exec $(srcdir)/checkpatch.pl --ignore NEW_TYPEDEFS --show-types -q --no-tree  -emacs -f {} \;
1028
1029 # Tell versions [3.59,3.63) of GNU make to not export all variables.
1030 # Otherwise a system limit (for SysV at least) may be exceeded.
1031 .NOEXPORT: